Skip to main content
PATCH
/
v3
/
webhooks
/
endpoints
/
{endpoint_id}
Update a webhook endpoint
curl --request PATCH \
  --url https://api.heygen.com/v3/webhooks/endpoints/{endpoint_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "url": "<string>",
  "events": [
    "avatar_video.success"
  ]
}
'
{}

Authorizations

x-api-key
string
header
required

HeyGen API key. Obtain from your HeyGen dashboard.

Path Parameters

endpoint_id
string
required

Webhook endpoint ID

Body

application/json

Request body for PATCH /v3/webhooks/endpoints/{endpoint_id}.

url
string | null

New URL for the endpoint. Must be publicly accessible HTTPS.

events
enum<string>[] | null

New list of event types to subscribe to. Replaces the existing list.

Available options:
avatar_video.success,
avatar_video.fail,
avatar_video_gif.success,
avatar_video_gif.fail,
video_translate.success,
video_translate.fail,
personalized_video,
instant_avatar.success,
instant_avatar.fail,
photo_avatar_generation.success,
photo_avatar_generation.fail,
photo_avatar_train.success,
photo_avatar_train.fail,
photo_avatar_add_motion.success,
photo_avatar_add_motion.fail,
proofread_creation.success,
proofread_creation.fail,
live_avatar.success,
live_avatar.fail,
avatar_video_caption.success,
avatar_video_caption.fail,
video_agent.success,
video_agent.fail

Response

Successful response

data
WebhookEndpointResponse · object

A registered webhook endpoint.